# SPDX-License-Identifier: GPL-2.0-only OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/mfd/maxim,max77714.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: MAX77714 PMIC with GPIO, RTC and watchdog from Maxim Integrated.

maintainers:
  - Luca Ceresoli <luca@lucaceresoli.net>

description: |
  MAX77714 is a Power Management IC with 4 buck regulators, 9
  low-dropout regulators, 8 GPIOs, RTC and watchdog.

properties:
  compatible:
    const: maxim,max77714

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  interrupt-controller: true

  "#interrupt-cells":
    const: 2
    description:
      The first cell is the IRQ number, the second cell is the trigger type.

  regulators:
    type: object
    additionalProperties: false

    patternProperties:
      '^(buck[0-3]|ldo[0-8])$':
        type: object
        unevaluatedProperties: false
        $ref: /schemas/regulator/regulator.yaml#

required:
  - compatible
  - reg
  - interrupts
  - interrupt-controller
  - "#interrupt-cells"

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    i2c {
        #address-cells = <1>;
        #size-cells = <0>;

        pmic@1c {
            compatible = "maxim,max77714";
            reg = <0x1c>;
            interrupt-parent = <&gpio2>;
            interrupts = <3 IRQ_TYPE_LEVEL_LOW>;

            interrupt-controller;
            #interrupt-cells = <2>;
        };
    };
